AbstractEndpointFactory (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.endpoint

## Class AbstractEndpointFactory

- java.lang.Object
- - org.apache.cxf.interceptor.AbstractBasicInterceptorProvider
  - - org.apache.cxf.endpoint.AbstractEndpointFactory

- All Implemented Interfaces:
    `InterceptorProvider`

      public abstract class AbstractEndpointFactory
      extends AbstractBasicInterceptorProvider

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `address` |
    `protected BindingConfiguration` | `bindingConfig` |
    `protected BindingFactory` | `bindingFactory` |
    `protected String` | `bindingId` |
    `protected Bus` | `bus` |
    `protected ConduitSelector` | `conduitSelector` |
    `protected DataBinding` | `dataBinding` |
    `protected DestinationFactory` | `destinationFactory` |
    `protected QName` | `endpointName` |
    `protected org.apache.cxf.ws.addressing.EndpointReferenceType` | `endpointReference` |
    `protected List<Feature>` | `features` |
    `protected Map<String,​Object>` | `properties` |
    `protected String` | `publishedEndpointUrl` |
    `protected QName` | `serviceName` |
    `protected String` | `transportId` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractEndpointFactory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static void` | `addToBeans​(Collection<Object> beans, Object o)` |
    `protected boolean` | `checkPrivateEndpoint​(Endpoint ep)` | Checks if a given endpoint has been marked as private.
    `protected abstract BindingInfo` | `createBindingInfo()` |
    `protected abstract Endpoint` | `createEndpoint()` |
    `String` | `getAddress()` |
    `BindingConfiguration` | `getBindingConfig()` |
    `BindingFactory` | `getBindingFactory()` |
    `String` | `getBindingId()` |
    `Bus` | `getBus()` |
    `Bus` | `getBus​(boolean createIfNeeded)` |
    `ConduitSelector` | `getConduitSelector()` |
    `DataBinding` | `getDataBinding()` |
    `DestinationFactory` | `getDestinationFactory()` |
    `QName` | `getEndpointName()` |
    `List<Feature>` | `getFeatures()` |
    `Map<String,​Object>` | `getProperties()` |
    `Map<String,​Object>` | `getProperties​(boolean create)` |
    `String` | `getPublishedEndpointUrl()` |
    `QName` | `getServiceName()` |
    `String` | `getTransportId()` |
    `protected void` | `initializeAnnotationInterceptors​(Endpoint ep, Class<?> cls)` | Add annotated Interceptors and Features to the Endpoint
    `protected void` | `initializeAnnotationInterceptors​(Endpoint ep, Class<?>... cls)` | Add annotationed Interceptors and Features to the Endpoint
    `protected boolean` | `initializeAnnotationInterceptors​(AnnotationInterceptors provider, Endpoint ep)` |
    `void` | `setAddress​(String address)` |
    `void` | `setBindingConfig​(BindingConfiguration obj)` |
    `void` | `setBindingFactory​(BindingFactory bf)` |
    `void` | `setBindingId​(String bind)` |
    `void` | `setBus​(Bus bus)` |
    `void` | `setConduitSelector​(ConduitSelector selector)` |
    `void` | `setDataBinding​(DataBinding dataBinding)` |
    `void` | `setDestinationFactory​(DestinationFactory destinationFactory)` |
    `void` | `setEndpointName​(QName endpointName)` |
    `void` | `setEndpointReference​(org.apache.cxf.ws.addressing.EndpointReferenceType epr)` |
    `void` | `setFeatures​(List<? extends Feature> features2)` |
    `void` | `setProperties​(Map<String,​Object> properties)` |
    `void` | `setPublishedEndpointUrl​(String publishedEndpointUrl)` |
    `void` | `setServiceName​(QName name)` |
    `void` | `setTransportId​(String transportId)` |

    - ### Methods inherited from class org.apache.cxf.interceptor.AbstractBasicInterceptorProvider

      `getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors, setInFaultInterceptors, setInInterceptors, setOutFaultInterceptors, setOutInterceptors`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bus

          protected Bus bus

    - #### address

          protected String address

    - #### transportId

          protected String transportId

    - #### bindingId

          protected String bindingId

    - #### dataBinding

          protected DataBinding dataBinding

    - #### bindingFactory

          protected BindingFactory bindingFactory

    - #### destinationFactory

          protected DestinationFactory destinationFactory

    - #### publishedEndpointUrl

          protected String publishedEndpointUrl

    - #### endpointName

          protected QName endpointName

    - #### serviceName

          protected QName serviceName

    - #### properties

          protected Map<String,​Object> properties

    - #### features

          protected List<Feature> features

    - #### bindingConfig

          protected BindingConfiguration bindingConfig

    - #### endpointReference

          protected org.apache.cxf.ws.addressing.EndpointReferenceType endpointReference

    - #### conduitSelector

          protected ConduitSelector conduitSelector

  - ### Constructor Detail

    - #### AbstractEndpointFactory

          public AbstractEndpointFactory()

  - ### Method Detail

    - #### createEndpoint

          protected abstract Endpoint createEndpoint()
                                              throws BusException,
                                                     EndpointException

      Throws:
        `BusException`
        `EndpointException`

    - #### createBindingInfo

          protected abstract BindingInfo createBindingInfo()

    - #### getAddress

          public String getAddress()

    - #### setAddress

          public void setAddress​(String address)

    - #### getBus

          public Bus getBus()

    - #### getBus

          public Bus getBus​(boolean createIfNeeded)

    - #### setBus

          public void setBus​(Bus bus)

    - #### getTransportId

          public String getTransportId()

    - #### setTransportId

          public void setTransportId​(String transportId)

    - #### setBindingId

          public void setBindingId​(String bind)

    - #### getBindingId

          public String getBindingId()

    - #### setBindingConfig

          public void setBindingConfig​(BindingConfiguration obj)

    - #### getBindingConfig

          public BindingConfiguration getBindingConfig()

    - #### getDestinationFactory

          public DestinationFactory getDestinationFactory()

    - #### setDestinationFactory

          public void setDestinationFactory​(DestinationFactory destinationFactory)

    - #### getPublishedEndpointUrl

          public String getPublishedEndpointUrl()

    - #### setPublishedEndpointUrl

          public void setPublishedEndpointUrl​(String publishedEndpointUrl)

    - #### getEndpointName

          public QName getEndpointName()

    - #### setEndpointName

          public void setEndpointName​(QName endpointName)

    - #### setServiceName

          public void setServiceName​(QName name)

    - #### getServiceName

          public QName getServiceName()

    - #### setEndpointReference

          public void setEndpointReference​(org.apache.cxf.ws.addressing.EndpointReferenceType epr)

    - #### getProperties

          public Map<String,​Object> getProperties()

    - #### getProperties

          public Map<String,​Object> getProperties​(boolean create)

    - #### setProperties

          public void setProperties​(Map<String,​Object> properties)

    - #### getFeatures

          public List<Feature> getFeatures()

    - #### setFeatures

          public void setFeatures​(List<? extends Feature> features2)

    - #### getBindingFactory

          public BindingFactory getBindingFactory()

    - #### setBindingFactory

          public void setBindingFactory​(BindingFactory bf)

    - #### getConduitSelector

          public ConduitSelector getConduitSelector()

    - #### setConduitSelector

          public void setConduitSelector​(ConduitSelector selector)

    - #### getDataBinding

          public DataBinding getDataBinding()

    - #### setDataBinding

          public void setDataBinding​(DataBinding dataBinding)

    - #### checkPrivateEndpoint

          protected boolean checkPrivateEndpoint​(Endpoint ep)

      Checks if a given endpoint has been marked as private. If yes then its address will be added to a bus list property Note that client factories might also check the endpoint, ex, if the endpoint if private then it is likely no service contract will be available if requested from the remote address hence it has to be availbale locally or generated from the local source
      Parameters:
        `ep` - endpoint

    - #### initializeAnnotationInterceptors

          protected void initializeAnnotationInterceptors​(Endpoint ep,
                                                          Class<?> cls)

      Add annotated Interceptors and Features to the Endpoint
      Parameters:
        `ep` -

    - #### initializeAnnotationInterceptors

          protected void initializeAnnotationInterceptors​(Endpoint ep,
                                                          Class<?>... cls)

      Add annotationed Interceptors and Features to the Endpoint
      Parameters:
        `ep` -

    - #### addToBeans

          protected static void addToBeans​(Collection<Object> beans,
                                           Object o)

    - #### initializeAnnotationInterceptors

          protected boolean initializeAnnotationInterceptors​(AnnotationInterceptors provider,
                                                             Endpoint ep)